function cvp = closest_viewpoint(ang,number_of_bins)

if nargin < 2
    number_of_bins = 8;
end

ang_step_size = 360.0 / number_of_bins;

viewpoint = [0:ang_step_size:360-ang_step_size];
min_diff = 10000;

if ang < 0 
    ang = ang + 360;
end

for j=1:number_of_bins
    tmp1 = abs(ang - viewpoint(j));
	if (tmp1 < min_diff)	
			best_angle = j;
			min_diff = tmp1;
    end
end

tmp1 = abs(ang -360);				% because 360 = 0
if (tmp1 < min_diff)	
		best_angle = 1;
end
cvp = best_angle;